# podman – Interact with an existing podman container

New in version 2.8.

- Synopsis

- Parameters

- Status

## Synopsis

- Run commands or put/fetch files to an existing container using podman tool.

## Parameters

Parameter | Choices/Defaults | Configuration | Comments
--- | --- | --- | ---
remote_addr - | Default: "inventory_hostname" | var: ansible_host | The ID of the container you want to access.
remote_user - |  | ini entries: [defaults] remote_user = VALUE env:ANSIBLE_REMOTE_USER var: ansible_user | User specified via name or UID which is used to execute commands inside the container. If you specify the user via UID, you must set `ANSIBLE_REMOTE_TMP` to a path that exits inside the container and is writable by Ansible.

## Status

- This connection is not guaranteed to have a backwards compatible interface. [preview]

- This connection is maintained by the Ansible Community. [community]

### Authors

- Tomas Tomecek (ttomecek@redhat.com)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.

Hint

Configuration entries for each entry type have a low to high priority order. For example, a variable that is lower in the list will override a variable that is higher up.